Package org.apache.commons.math3.exception

# Class InsufficientDataException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.apache.commons.math3.exception.MathIllegalArgumentException
org.apache.commons.math3.exception.InsufficientDataException

All Implemented Interfaces:
  `Serializable`, `ExceptionContextProvider`

public class InsufficientDataException extends MathIllegalArgumentException
Exception to be thrown when there is insufficient data to perform a computation.

Since:
  3.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InsufficientDataException()`
Construct the exception.
`InsufficientDataException(Localizable pattern, Object... arguments)`
Construct the exception with a specific context.

## Method Summary

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InsufficientDataException

public InsufficientDataException()
Construct the exception.

### InsufficientDataException

public InsufficientDataException(Localizable pattern, Object... arguments)
Construct the exception with a specific context.

Parameters:
  `pattern` - Message pattern providing the specific context of the error.
  `arguments` - Values for replacing the placeholders in `pattern`.